<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once("auth.php");

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
## /mysql verbindung aufbauenf

## überprüfen, ob anbieter existiert
$id = db_query("select anbieter, gesperrt from anbieter where anbieter='$anbieter'");
$zeilen = db_num_rows($id);
if ($zeilen <> 1)
{
	$fehlertext = ltext("anaesp2_error1");
	db_close();
	include("anbieter_aendern.php");
	exit();
}
## /überprüfen, ob anbieter existiert

## status des anieters
$werte = db_fetch_array($id);
$gesperrt = $werte["gesperrt"];
## /status des anbieters

if (($sperren == "no") || ($freigeben == "no"))
{
	$fehlertext = ltext("anaesp2_error2");
	$fehlertitel = ltext("anaesp2_errortitle");
}
else
{
	if ($gesperrt == 0)
	{
		$gesperrt_set = 1;
		$gesperrt_user_set = 2;
		$gesperrt_user_old = 0;
		$k_err = 'anaesp2_error3';
	}
	else
	{
		$gesperrt_set = 0;
		$gesperrt_user_set = 0;	
		$gesperrt_user_old = 2;
		$k_err = 'anaesp2_error4';
	}
	$id = db_query("select kunde from kunden where anbieter='$anbieter' and gesperrt='$gesperrt_user_old'");
	while ($werte = db_fetch_array($id))
	{
		$kunde = $werte["kunde"];
		db_query("update kunden set gesperrt=$gesperrt_user_set where kunde='$kunde' and anbieter='$anbieter'");
		db_query("update ftp set gesperrt=$gesperrt_user_set where kunde='$kunde' and anbieter='$anbieter'");
		db_query("update pop3 set gesperrt=$gesperrt_user_set where kunde='$kunde' and anbieter='$anbieter'");
		db_query("UPDATE cronjobs SET neu='1' where kunde='$kunde'");
	}
	
	$id = db_query("SELECT id FROM domains WHERE anbieter='$anbieter' AND richtigedomain=1");
	$domains_arr = array();
	while ($werte = db_fetch_array($id))
	{
		$domains_arr[] = $werte['id'];
	}
	if(count($domains_arr))
	{
		db_query("UPDATE maillist set gesperrt=$gesperrt_user_set WHERE domain_id IN (" . implode(',', $domains_arr) . ")");	
	}
	
	$id = db_query("select neukundenreload from admin");
	$werte = db_fetch_array($id);
	//$neukundenreload = $werte["neukundenreload"];
	if ($werte["neukundenreload"] == 1)
	{
		db_query("update allgemein set newpwd='1', httpd='1', httpdupdate=0, cronupdate='1'");
	}
	else
	{
		db_query("update allgemein set newpwd='1', httpd='1', cronupdate='1'");
	}
	db_query("update anbieter set gesperrt='$gesperrt_set' where anbieter='$anbieter'");
	$fehlertext = ltext($k_err, array($anbieter));
	$fehlertitel = ltext("anaesp2_errortitle");
	/*
	if ($gesperrt == 0)
	{
		$id = db_query("select kunde from kunden where anbieter='$anbieter' and gesperrt='0'");
		while ($werte = db_fetch_array($id))
		{
			$kunde = $werte["kunde"];
			db_query("update kunden set gesperrt=2 where kunde='$kunde' and anbieter='$anbieter'");
			db_query("update ftp set gesperrt=2 where kunde='$kunde' and anbieter='$anbieter'");
			db_query("update pop3 set gesperrt=2 where kunde='$kunde' and anbieter='$anbieter'");
		}
			
		$id = db_query("select neukundenreload from admin");
		$werte = db_fetch_array($id);
		$neukundenreload = $werte["neukundenreload"];
		if ($neukundenreload == 1)
		{
			db_query("update allgemein set newpwd='1', httpd='1', httpdupdate=0");
		}
		else
		{
			db_query("update allgemein set newpwd='1', httpd='1'");
		}
		db_query("update anbieter set gesperrt='1' where anbieter='$anbieter'");
		$fehlertext = ltext("anaesp2_error3",array($anbieter));
		$fehlertitel = ltext("anaesp2_errortitle");
	}
	else
	{
		$id = db_query("select kunde from kunden where anbieter='$anbieter' and gesperrt='2'");
		while ($werte = db_fetch_array($id))
		{
			$kunde = $werte["kunde"];
			db_query("update kunden set gesperrt=0 where kunde='$kunde' and anbieter='$anbieter'");
			db_query("update ftp set gesperrt=0 where kunde='$kunde' and anbieter='$anbieter'");
			db_query("update pop3 set gesperrt=0 where kunde='$kunde' and anbieter='$anbieter'");
		}
		$id = db_query("select neukundenreload from admin");
		$werte = db_fetch_array($id);
		$neukundenreload = $werte["neukundenreload"];
		if ($neukundenreload == 1)
		{
			db_query("update allgemein set newpwd='1', httpd='1', httpdupdate=0");
		}
		else
		{
			db_query("update allgemein set newpwd='1', httpd='1'");
		}
		db_query("update anbieter set gesperrt='0' where anbieter='$anbieter'");
		$fehlertext = ltext("anaesp2_error4",array($anbieter));
		$fehlertitel = ltext("anaesp2_errortitle");
	}
	*/
}
db_close();
include("anbieter_aendern.php");
?>
